> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Role



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/roles/{roleId}
openapi: 3.1.0
info:
  title: Xenia Team API - Get Role by ID
  description: Fetch a single role by ID for a specific workspace
  version: 1.0.0
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/roles/{roleId}:
    get:
      tags:
        - Roles
      summary: Get Role by ID
      description: Retrieve role details by role ID in a specific workspace
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: Workspace ID
          schema:
            type: string
            format: uuid
        - name: roleId
          in: path
          required: true
          description: Role ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Role details response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RoleDetails'
                  meta:
                    type: object
              example:
                data:
                  - id: 198a9961-c365-46d4-8962-7f9720f21fae
                    workspaceId: cb363f7e-c52a-4478-911d-f6a6f791090e
                    title: New Role Title
                    description: New Role test description
                    isActive: true
                    order: 1
                    reportTo: 43bc03d0-e0c5-41a1-bc13-2d232a40a728
                    editable: true
                    homepage:
                      mobile: DEFAULT
                      web: DEFAULT
                      dashboard: {}
                    createdBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    updatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    createdAt: '2025-06-22T11:38:55.045Z'
                    updatedAt: '2025-06-22T11:38:55.045Z'
                    deletedAt: null
                    permissions: []
                    users:
                      - userId: a437857a-463f-4ab7-997e-0e7b98e2b779
                meta: {}
        '400':
          description: Bad Request - Invalid ID format
        '401':
          description: Unauthorized - Missing or invalid authentication
        '403':
          description: Forbidden - Insufficient permissions
        '404':
          description: Not Found - Role does not exist
        '500':
          description: Internal Server Error
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    RoleDetails:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspaceId:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
        isActive:
          type: boolean
        order:
          type: integer
        reportTo:
          type: string
          format: uuid
        editable:
          type: boolean
        homepage:
          type: object
          properties:
            mobile:
              type: string
            web:
              type: string
            dashboard:
              type: object
        createdBy:
          type: string
          format: uuid
        updatedBy:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type:
            - string
            - 'null'
          format: date-time
        permissions:
          type: array
          items:
            type: object
        users:
          type: array
          items:
            type: object
            properties:
              userId:
                type: string
                format: uuid
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
      description: Client API key for authentication
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: Client secret for authentication

````